diff a/src/hotspot/share/runtime/java.hpp b/src/hotspot/share/runtime/java.hpp
--- a/src/hotspot/share/runtime/java.hpp
+++ b/src/hotspot/share/runtime/java.hpp
@@ -57,10 +57,15 @@
 extern void vm_exit_during_initialization(const char* error, const char* message = nullptr);
 extern void vm_shutdown_during_initialization(const char* error, const char* message = nullptr);
 
 extern void vm_exit_during_cds_dumping(const char* error, const char* message = nullptr);
 
+extern void perf_jvm_print_on(outputStream* st);
+extern void perf_deoptimization_print_on(outputStream* st);
+
+extern void log_vm_init_stats();
+
 // This is defined in linkType.cpp due to linking restraints
 extern bool is_vm_statically_linked();
 
 /**
  * With the integration of the changes to handle the version string
